Result matrix was calculated for the requested origins and destinations.
The matrix contains 3 optional flat arrays, travelTimes, distances, and consumptions depending
on the specified matrixAttributes request parameter. Each array represents a 2D matrix
where rows correspond to origins and columns to destinations. The k-th position in
the array corresponds to the (i, j) position in the matrix defined by the following
relationship:
k = num_destinations * i + j,
where i is origin and j is destination.
If the calculation of a route between i and j fails or yields a route that violates
some options, the response includes
another errorCodes array with a detailed error code for each failed calculation.
If the error code for the entry (i, j) is not 0 (success) or 3 (violated options) then the
value for the entry (i, j) in the travelTimes and distances response array(s)
is unspecified; the client using the response should not rely on the value of the
entry (i, j) in the response array(s) in this case.
For the list of supported error codes cf. errorCodes.
If the calculation of the entire matrix failed due to an expected error, e.g. timeout,
the matrix field is none and the error field contains a detailed error description.